<?php

function uport_item_element_list($type) {
    /* $arr['effect2'] = "Effect 2"; $arr['effect1'] = "Effect 1"; */
    $arr['image'] = "Main Image or Embed Media";
    $arr['title'] = "Title";
    $arr['desc'] = "Small Description (Excerpt)";
    $arr['slug'] = "Slug (small tagline)";
    $arr['linkbut'] = "URL Link button";
    $arr['lightbox'] = "Lightbox pop up button";
    $arr['cartbut'] = "WooCommerce Add to cart";
    $arr['price'] = "Product Price";


    $subarr['image'] = array();
    $subarr['title'] = array('over' => 'On Hover', 'out' => 'Outside', 'above' => 'Above Image');
    $subarr['desc'] = array('over' => 'On Hover', 'out' => 'Outside', 'above' => 'Above Image');
    $subarr['slug'] = array('over' => 'On Hover', 'out' => 'Outside', 'above' => 'Above Image');
    $subarr['linkbut'] = array('over' => 'On Hover', 'out' => 'Outside', 'above' => 'Above Image');
    $subarr['lightbox'] = array('over' => 'On Hover', 'out' => 'Outside', 'above' => 'Above Image');
    $subarr['cartbut'] = array('over' => 'On Hover', 'out' => 'Outside', 'above' => 'Above Image');
    $subarr['price'] = array('over' => 'On Hover', 'out' => 'Outside', 'above' => 'Above Image');

    //$arr['effect103'] = "Effect 103"; 
    $str = "";
    if ($type == 'str') {
        foreach ($arr as $k => $v) {
            $str .= $k . ":" . $v . "[";
            foreach ($subarr[$k] as $subk => $subv) {
                $str .= $subk . ";" . $subv . "#";
            }
            $str .= "]|";
        }
        return $str;
    }
    if ($type == 'arr') {
        return $arr;
    }
}

?>